Name: kipi-plugins
Version: 1.9.0
Release: %mkrel 3
Summary: KDE image Interface Plugins
License: GPLv2+
Group: System/Libraries
Source0: http://downloads.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
URL: http://www.kipi-plugins.org
Epoch: 1
Requires: mjpegtools
Requires: vorbis-tools
Requires: mpg123
Requires: imagemagick >= 5.5.4
Suggests: hugin
BuildRequires: kdepimlibs4-devel
BuildRequires: libkipi-devel
BuildRequires: libgpod-devel
BuildRequires: kdegraphics4-devel
BuildRequires: tiff-devel
BuildRequires: libMagick-devel
BuildRequires: libxslt-devel
BuildRequires: libgphoto-devel
BuildRequires: imlib2-devel
BuildRequires: libxml2-utils
BuildRequires: libmesaglu-devel
BuildRequires: opencv-devel
BuildRequires: qjson-devel
Suggests: %name-timeadjust
Suggests: %name-smug
Suggests: %name-shwup
Suggests: %name-piwigoexport
Suggests: %name-picasa
Suggests: %name-metadaedit
Suggests: %name-kopete
Suggests: %name-kioexportimport
Suggests: %name-jpeglossless
Suggests: %name-ipodexport
Suggests: %name-imageviewer
Suggests: %name-htmlexport
Suggests: %name-debianscreenshot
Suggests: %name-gpssync
Suggests: %name-flickr
Suggests: %name-expoblending
Suggests: %name-calendar
Suggests: %name-batchprocess
Suggests: %name-advancedslideshow
Suggests: %name-printimages
Suggests: %name-dngconverter
Suggests: %name-galleryexport
Suggests: %name-flashexport
Suggests: %name-facebook
Suggests: %name-acquireimages
Suggests: %name-rawconverter
Suggests: %name-removeredeyes
Suggests: %name-sendimages
# kipi-plugins-youtube is currently provided by kamoso
Suggests: %name-youtube
%description
The library of the KDE Image Plugin Interface.

Libkipi allows image applications to use a plugin architecture
for additional functionality  such as: RawConverter, SlideShow, 
ImagesGallery, HTMLExport, PrintAssistant...

%files -f kipiplugins.lang
%defattr(-,root,root)
%doc README 
%_kde_applicationsdir/kipiplugins.desktop
#-----------------------------------------------------------------------------
%package timeadjust
Summary: Time Adjust kipi plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description timeadjust
A Tool to adjust time and date.
%files timeadjust -f kipiplugin_timeadjust.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_timeadjust.so
%_kde_iconsdir/hicolor/*/actions/timeadjust.png
%_kde_services/kipiplugin_timeadjust.desktop  
#-----------------------------------------------------------------------------
%package smug	
Summary: Smug Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description smug
A tool to import/export images to/from SmugMug web service.

%files smug -f kipiplugin_smug.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_smug.so
%_kde_iconsdir/hicolor/*/actions/smugmug.png
%_kde_iconsdir/hicolor/scalable/actions/smugmug.svgz
%_kde_services/kipiplugin_smug.desktop
#-----------------------------------------------------------------------------

%package shwup
Summary: Shwup Kipi Plugins
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description shwup
A tool to export images to a remote Shwup web service.

%files shwup -f kipiplugin_shwup.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_shwup.so
%_kde_iconsdir/hicolor/*/actions/shwup.png
%_kde_services/kipiplugin_shwup.desktop    
#-----------------------------------------------------------------------------
%package piwigoexport
Summary: Piwi Go Export
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description piwigoexport
A tool to export images to a remote Piwigo.

%files piwigoexport -f kipiplugin_piwigoexport.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_piwigoexport.so
%{_kde_datadir}/apps/kipiplugin_piwigoexport
%_kde_services/kipiplugin_piwigoexport.desktop
%_kde_iconsdir/hicolor/scalable/actions/piwigo.svgz
%_kde_iconsdir/hicolor/*/actions/piwigo.png
#-----------------------------------------------------------------------------
%package picasa
Summary: Picasa Kipi Plugins
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description picasa
A tool to export images to a remote Picase Web Service

%files picasa -f kipiplugin_picasawebexport.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_picasawebexport.so
%_kde_services/kipiplugin_picasawebexport.desktop
%_kde_iconsdir/hicolor/scalable/actions/picasa.svgz
%_kde_iconsdir/hicolor/*/actions/picasa.png
#-----------------------------------------------------------------------------
%package metadataedit
Summary: Meta Data Edit kipi plugins
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description metadataedit
A tool to edit EXIF,IPTC and XMP metadata.

%files metadataedit -f kipiplugin_metadataedit.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_metadataedit.so
%_kde_services/kipiplugin_metadataedit.desktop
%_kde_iconsdir/hicolor/*/actions/metadataedit.png
#-----------------------------------------------------------------------------
%package kopete
Summary: Kopete kipi plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description kopete
A tool to export images to an instant messaging contact.

%files kopete
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_kopete.so
%_kde_services/kipiplugin_kopete.desktop
#-----------------------------------------------------------------------------
%package kioexportimport
Summary: Kio Export Import Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description kioexportimport
A tool to export pictures to or import from a remote directory that is
accessible via KIO.

%files kioexportimport -f kipiplugin_kioexportimport.lang
%defattr(-,root,root)
%_kde_libdir/kde4/kipiplugin_kioexportimport.so
%_kde_services/kipiplugin_kioexportimport.desktop
#-----------------------------------------------------------------------------
%package jpeglossless
Summary: Jpeg Lossless Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description jpeglossless
A tool to rotate/flip images without losing quality.

%files jpeglossless -f kipiplugin_jpeglossless.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_jpeglossless.so
%_kde_services/kipiplugin_jpeglossless.desktop
%_kde_iconsdir/hicolor/*/actions/flip-horizontal.png
%_kde_iconsdir/hicolor/*/actions/grayscaleconvert.png  
#-----------------------------------------------------------------------------
%package ipodexport
Summary: Ipod Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description ipodexport
A tool to export pictures to an Ipod device.

%files ipodexport -f kipiplugin_ipodexport.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_ipodexport.so
%_kde_services/kipiplugin_ipodexport.desktop

#-----------------------------------------------------------------------------
%package imageviewer
Summary: Image Viewer Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description imageviewer
A tool to preview images using OpenGl.

%files imageviewer -f kipiplugin_imageviewer.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_imageviewer.so
%{_kde_datadir}/apps/kipiplugin_imageviewer
%_kde_services/kipiplugin_imageviewer.desktop
%_kde_iconsdir/hicolor/*/actions/ogl.png 
#-----------------------------------------------------------------------------
%package htmlexport
Summary: Html Export Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description htmlexport
A tool to export images collections into a static XHTML page.

%files htmlexport -f kipiplugin_htmlexport.lang
%defattr(-,root,root)
%_kde_libdir/kde4/kipiplugin_htmlexport.so
%_kde_services/kipiplugin_htmlexport.desktop
%_kde_appsdir/kipiplugin_htmlexport
#-----------------------------------------------------------------------------
%package debianscreenshot
Summary: Debian Screenshot kipi plugins
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description debianscreenshot
A tool to export images to the Debian Screenshots site.

%files debianscreenshot -f kipiplugin_debianscreenshots.lang
%defattr(-,root,root) 
%_kde_libdir/kde4/kipiplugin_debianscreenshots.so 
%_kde_services/kipiplugin_debianscreenshots.desktop
%_kde_iconsdir/hicolor/*/actions/debianscreenshots.png 
%_kde_iconsdir/hicolor/scalable/actions/debianscreenshots.svgz  
#-----------------------------------------------------------------------------
%package gpssync
Summary: GPS Sync Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description gpssync
A tool to geolocalize pictures.

%files gpssync -f kipiplugin_gpssync.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_gpssync.so
%_kde_services/kipiplugin_gpssync.desktop
%_kde_iconsdir/hicolor/*/actions/gpsimagetag.png  
#-----------------------------------------------------------------------------
%package flickr
Summary: Flick Export Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description flickr
A tool to export images to a remote Flickr, 23 and Zoomr web services.

%files flickr -f kipiplugin_flickrexport.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_flickrexport.so
%_kde_services/kipiplugin_flickrexport.desktop
%_kde_iconsdir/hicolor/*/actions/flickr.png
%_kde_iconsdir/hicolor/*/actions/hq.png 
%_kde_iconsdir/hicolor/*/actions/zooomr.png
%_kde_iconsdir/hicolor/scalable/actions/flickr.svgz
%_kde_iconsdir/hicolor/scalable/actions/hq.svgz 
%_kde_iconsdir/hicolor/scalable/actions/zooomr.svgz 
#-----------------------------------------------------------------------------
%package expoblending
Summary: Expoblending Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description expoblending
A tool to blend  bracketed images.

%files expoblending -f kipiplugin_expoblending.lang
%defattr(-,root,root)
%_kde_bindir/expoblending
%_kde_applicationsdir/expoblending.desktop
%{_kde_libdir}/kde4/kipiplugin_expoblending.so
%{_kde_datadir}/apps/kipiplugin_expoblending 
%_kde_services/kipiplugin_expoblending.desktop
%_kde_iconsdir/hicolor/*/actions/expoblending.png

#-----------------------------------------------------------------------------
%package calendar 
Summary: Calendar Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description calendar
A tool to create calendars.

%files calendar -f kipiplugin_calendar.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_calendar.so
%_kde_services/kipiplugin_calendar.desktop

#-----------------------------------------------------------------------------
%package batchprocess
Summary: Batch Process Images Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description batchprocess
KIPI Batch Processing Images Plugin.

%files batchprocess -f kipiplugin_batchprocessimages.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_batchprocessimages.so
%_kde_services/kipiplugin_batchprocessimages.desktop
%_kde_iconsdir/hicolor/*/actions/recompressimages.png                                                                                                       
%_kde_iconsdir/hicolor/*/actions/renameimages.png                                                                                                           
%_kde_iconsdir/hicolor/*/actions/resizeimages.png                                                                                                           
%_kde_iconsdir/hicolor/*/actions/borderimages.png                               
                                                                           
%_kde_iconsdir/hicolor/*/actions/colorimages.png                                                                                                            
%_kde_iconsdir/hicolor/*/actions/convertimages.png                                                                                                          
%_kde_iconsdir/hicolor/*/actions/effectimages.png                                                                                                           
%_kde_iconsdir/hicolor/*/actions/filterimages.png                                                                                                           

#-----------------------------------------------------------------------------
%package advancedslideshow
Summary: Advanced Slideshow Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description advancedslideshow
A tool to slide images with 2D and 3D effects using OpenGL.

%files advancedslideshow -f kipiplugin_advancedslideshow.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_advancedslideshow.so
%_kde_iconsdir/hicolor/*/actions/slideshow.png
%_kde_services/kipiplugin_advancedslideshow.desktop
#-----------------------------------------------------------------------------
%package printimages
Summary: Print Images Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description printimages
A tool to print images in various formats.

%files printimages -f kipiplugin_printimages.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_printimages.so
%_kde_services/kipiplugin_printimages.desktop  
%_kde_appsdir/kipiplugin_printimages/

#-----------------------------------------------------------------------------
%package dngconverter
Summary: Dng converter Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description dngconverter
A tool to convert Raw Image to Digital NeGative.

%files dngconverter -f kipiplugin_dngconverter.lang
%defattr(-,root,root)
%_kde_bindir/dngconverter
%_kde_bindir/dnginfo
%_kde_applicationsdir/dngconverter.desktop
%_kde_libdir/kde4/kipiplugin_dngconverter.so
%_kde_services/kipiplugin_dngconverter.desktop
%_kde_iconsdir/oxygen/*/apps/dngconverter.png
%_kde_iconsdir/oxygen/scalable/apps/dngconverter.svgz
#-----------------------------------------------------------------------------
%package galleryexport
Summary: Gallery Export Kipi Plugin
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description galleryexport
A tool to export images to a remote Gallery.

%files galleryexport -f kipiplugin_galleryexport.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_galleryexport.so
%{_kde_datadir}/apps/kipiplugin_galleryexport
%_kde_services/kipiplugin_galleryexport.desktop
%_kde_iconsdir/hicolor/*/actions/gallery.png
%_kde_iconsdir/hicolor/scalable/actions/gallery.svgz
#-----------------------------------------------------------------------------
%package flashexport
Summary: Flash export kipi-plugins
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description flashexport
A tool to export images to Flash.

%files flashexport -f kipiplugin_flashexport.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_flashexport.so
%{_kde_datadir}/apps/kipiplugin_flashexport
%_kde_services/kipiplugin_flashexport.desktop
%_kde_iconsdir/hicolor/*/actions/flash.png
%_kde_iconsdir/hicolor/scalable/actions/flash.svgz

#-----------------------------------------------------------------------------
%package facebook
Summary: Facebook kipi plugins
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description facebook
A tool to import/export images to/from a remote Facebook web service.

%files facebook -f kipiplugin_facebook.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_facebook.so
%_kde_services/kipiplugin_facebook.desktop
%_kde_iconsdir/hicolor/*/actions/facebook.png
%_kde_iconsdir/hicolor/scalable/actions/facebook.svgz
#-----------------------------------------------------------------------------
%package acquireimages
Summary: Acquireimages
Group:	System/Libraries
Conflicts: %name < 1:1.8.0-1
%description acquireimages
A tool to acquire images using flat scanner.

%files acquireimages -f kipiplugin_acquireimages.lang
%defattr(-,root,root)
%_kde_bindir/scangui
%_kde_libdir/kde4/kipiplugin_acquireimages.so
%_kde_services/kipiplugin_acquireimages.desktop 
%_kde_applicationsdir/scangui.desktop 
#-----------------------------------------------------------------------------

%package rawconverter
Summary:  Rawconverter kipi plugins
Group:		System/Libraries
Conflicts: %name < 1:1.8.0-1
%description rawconverter
A tool to convert Raw Image to JPEG/PNG/TIFF.

%files rawconverter -f kipiplugin_rawconverter.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_rawconverter.so
%_kde_iconsdir/oxygen/*/apps/rawconverter.png
%_kde_services/kipiplugin_rawconverter.desktop
%_kde_iconsdir/oxygen/scalable/apps/rawconverter.svgz
#----------------------------------------------------------------------------

%package removeredeyes
Summary: Remove red eyes kipi-plugins
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description removeredeyes
A tool to remove red eyes automatically from images.

%files removeredeyes -f kipiplugin_removeredeyes.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_removeredeyes.so
%{_kde_datadir}/apps/kipiplugin_removeredeyes
%_kde_services/kipiplugin_removeredeyes.desktop     

#---------------------------------------------------------------------------
%package sendimages
Summary: Send Images kipi plugins
Group: System/Libraries
Conflicts: %name < 1:1.8.0-1
%description sendimages
A tool to send images by e-mail.

%files sendimages -f kipiplugin_sendimages.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kipiplugin_sendimages.so
%_kde_services/kipiplugin_sendimages.desktop  
#----------------------------------------------------------------------------

%define kipiplugins_major 1
%define lib_name %mklibname kipiplugins %kipiplugins_major

%package -n %lib_name
Summary:	Library files for %{name}
Group:		System/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts: %{_lib}kipi-plugins0

%description -n %lib_name
Library files for %{name}

%files -n %lib_name
%defattr(-,root,root)
%{_kde_libdir}/libkipiplugins.so.%{kipiplugins_major}*

#----------------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group: Development/C
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Obsoletes: %{_lib}kipi-plugins-devel < 1:0.2.0

%description devel
Development files for %{name}

%files devel
%defattr(-,root,root)
%{_kde_libdir}/*.so

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

# Remove wallpaper translation since it's not compiled
rm -rf %{buildroot}/usr/share/locale/*/LC_MESSAGES/kipiplugin_wallpaper.mo
%find_lang kipiplugins
%find_lang kipiplugin_timeadjust
%find_lang kipiplugin_smug
%find_lang kipiplugin_shwup
%find_lang kipiplugin_piwigoexport
%find_lang kipiplugin_picasawebexport
%find_lang kipiplugin_metadataedit
%find_lang kipiplugin_kioexportimport
%find_lang kipiplugin_jpeglossless
%find_lang kipiplugin_ipodexport
%find_lang kipiplugin_imageviewer
%find_lang kipiplugin_htmlexport
%find_lang kipiplugin_gpssync
%find_lang kipiplugin_flickrexport
%find_lang kipiplugin_expoblending
%find_lang kipiplugin_calendar 
%find_lang kipiplugin_batchprocessimages
%find_lang kipiplugin_advancedslideshow
%find_lang kipiplugin_printimages
%find_lang kipiplugin_dngconverter
%find_lang kipiplugin_galleryexport
%find_lang kipiplugin_flashexport
%find_lang kipiplugin_facebook
%find_lang kipiplugin_acquireimages
%find_lang kipiplugin_rawconverter
%find_lang kipiplugin_removeredeyes
%find_lang kipiplugin_sendimages
%find_lang kipiplugin_debianscreenshots
%clean
rm -rf %buildroot


%changelog
* Mon Apr 11 2011 tmb <tmb> 1:1.9.0-3.mga1
+ Revision: 83476
- rebuild for missing packages on i586

* Sun Apr 10 2011 dmorgan <dmorgan> 1:1.9.0-2.mga1
+ Revision: 83035
- Fix Groups (#765)

  + mikala <mikala>
    - Drop Obsoletes
    - Clean spec

* Fri Mar 04 2011 mikala <mikala> 1:1.9.0-1.mga1
+ Revision: 64358
- Add qjson-devel as BR (needed for kipi-plugins-debianscreenshot)
- Add a suggest to kipi-plugins-youtube (provided by kamoso)
- Update tarball to 1.9.0
- Split kipi-plugins to have 1 plugin per package

* Fri Feb 18 2011 mikala <mikala> 1:1.8.0-1.mga1
+ Revision: 53466
- Fix Files list
- Update to 1.8.0
- Remove buildroot
- Drop some redundant BR
- imported package kipi-plugins


* Sun Dec 19 2010 Funda Wang <fwang@mandriva.org> 1:1.7.0-1mdv2011.0
+ Revision: 623168
- new version 1.7.0

* Wed Nov 24 2010 Funda Wang <fwang@mandriva.org> 1:1.6.0-1mdv2011.0
+ Revision: 600344
- new version 1.6.0

* Sat Oct 30 2010 Angelo Naselli <anaselli@mandriva.org> 1:1.5.0-2mdv2011.0
+ Revision: 590725
- Crop error was found by  Gary Montalbine
  fixed also 4_photos_3.5x5" template layout

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 1:1.5.0-1mdv2011.0
+ Revision: 584890
- New version 1.5.0

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 1:1.4.0-2mdv2011.0
+ Revision: 579319
- rebuild for new libkipi

* Sun Aug 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.4.0-1mdv2011.0
+ Revision: 571964
- New version 1.4.0

* Wed Jun 23 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.0-1mdv2010.1
+ Revision: 548657
- Update to version 1.3.0

* Wed Apr 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.2.0-3mdv2010.1
+ Revision: 539987
- Do not ship desktop files
  CCBUG: 58923

* Fri Apr 09 2010 Funda Wang <fwang@mandriva.org> 1:1.2.0-2mdv2010.1
+ Revision: 533493
- rebuild

* Mon Mar 29 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.2.0-1mdv2010.1
+ Revision: 528649
- Update to version 1.2.0

* Mon Feb 15 2010 Angelo Naselli <anaselli@mandriva.org> 1:1.1.0-3mdv2010.1
+ Revision: 506124
- hugin is now suggested

* Sat Feb 13 2010 Angelo Naselli <anaselli@mandriva.org> 1:1.1.0-2mdv2010.1
+ Revision: 505482
- Added huging runtime requirement. Fix bug #57632

* Sun Jan 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.1.0-1mdv2010.1
+ Revision: 498801
- Fix file list
- New version 1.1.0

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.0-2mdv2010.1
+ Revision: 488773
- rebuilt against libjpeg v8

* Fri Dec 25 2009 Funda Wang <fwang@mandriva.org> 1:1.0.0-1mdv2010.1
+ Revision: 482217
- New version 1.0.0

* Fri Dec 04 2009 Angelo Naselli <anaselli@mandriva.org> 1:0.9.0-1mdv2010.1
+ Revision: 473392
- new version 0.9.0

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.8.0-2mdv2010.1
+ Revision: 465249
- Rebuild against new Qt

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 1:0.8.0-1mdv2010.1
+ Revision: 462863
- New version 0.8.0

* Thu Oct 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.7.0-2mdv2010.0
+ Revision: 456022
- Rebuild against new opencv

* Mon Sep 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.7.0-1mdv2010.0
+ Revision: 450491
- New version 0.7.0

* Sat Aug 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.6.0-1mdv2010.0
+ Revision: 422201
- New 0.6.0 version

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.5.0-2mdv2010.0
+ Revision: 416619
- rebuilt against libjpeg v7

* Fri Jul 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.5.0-1mdv2010.0
+ Revision: 399532
- Update to version 0.5.0

* Sat Jul 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.4.0-2mdv2010.0
+ Revision: 392299
- Update file list
- Remove merged patch
- Update to 0.4.0

* Tue May 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.3.0-2mdv2010.0
+ Revision: 379859
- Fix a crash in printwizard

* Tue May 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.3.0-1mdv2010.0
+ Revision: 374882
- Bugfix release 0.3

* Tue Mar 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-2mdv2009.1
+ Revision: 356335
- Update to 0.2.0 final

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-1.rc2.2mdv2009.1
+ Revision: 340870
- Enable printimage

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-1.rc2.1mdv2009.1
+ Revision: 340831
- Update to Rc2
  Add build patch from Angelo

* Fri Jan 23 2009 Götz Waschk <waschk@mandriva.org> 1:0.2.0-1.rc1.1mdv2009.1
+ Revision: 332830
- new version
- fix build with new libgpod

* Tue Jan 13 2009 Funda Wang <fwang@mandriva.org> 1:0.2.0-1.beta6.1mdv2009.1
+ Revision: 328997
- 0.2.0 beta6

* Wed Dec 17 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-1.beta5.3mdv2009.1
+ Revision: 315386
- Update  to beta5

* Mon Dec 15 2008 Adam Williamson <awilliamson@mandriva.org> 1:0.2.0-1.beta4.3mdv2009.1
+ Revision: 314456
- obsolete old kipi-plugins-devel, don't conflict with it: there's no need
  to keep it around

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Nov 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-1.beta4.2mdv2009.1
+ Revision: 307512
- Update to beta4

* Sun Nov 23 2008 Funda Wang <fwang@mandriva.org> 1:0.2.0-1.beta3.2mdv2009.1
+ Revision: 305987
- use --all-names to find the locale files

* Wed Nov 05 2008 Angelo Naselli <anaselli@mandriva.org> 1:0.2.0-1.beta3.1mdv2009.1
+ Revision: 300087
- new release 0.2.0-beta1

* Sun Sep 28 2008 Anssi Hannula <anssi@mandriva.org> 1:0.2.0-1.beta1.4mdv2009.0
+ Revision: 289021
- fix versioned obsoletes

* Sun Sep 21 2008 Angelo Naselli <anaselli@mandriva.org> 1:0.2.0-1.beta1.3mdv2009.0
+ Revision: 286414
- 0.2.0 beta1

  + Funda Wang <fwang@mandriva.org>
    - conflict with old devel package name

* Sun Aug 17 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-0.824094.3mdv2009.0
+ Revision: 273109
- Obsoletes old libkipi-plugins0

* Wed Jun 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:0.2.0-0.824094.2mdv2009.0
+ Revision: 229134
- Added obsoletes for wrong named library

* Wed Jun 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-0.824094.1mdv2009.0
+ Revision: 228870
- Make sure major is correct

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed file list and library soname


* Sun Mar 04 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.3-2mdv2007.0
+ Revision: 132342
- rebuilt for new libexiv2

* Wed Jan 24 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-1mdv2007.1
+ Revision: 113059
- 0.1.3 final

* Sun Jan 14 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.5mdv2007.1
+ Revision: 108954
- Bug #28154

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.4mdv2007.1
+ Revision: 102417
- forgot to change version
- Epoch was in a wrong position

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.3mdv2007.1
+ Revision: 102251
- I should read careful mkrel value next time site URL updated

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.2mdv2007.1
+ Revision: 102179
- New version

* Sat Dec 09 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.beta1.2mdv2007.1
+ Revision: 93901
- added patch to fix new libgphoto changes,
  fixed spec file
- patch provided by Colin Guthrie (fix bug# 27502

* Mon Dec 04 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.beta1.1mdv2007.1
+ Revision: 90575
- New version 0.1.3-beta1 \ndisable ipod export
- Import kipi-plugins

* Mon Sep 18 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-4mdv2007.0
- Fix bug# 25805

* Sat Sep 09 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-3mdv2007.0
- Rebuilt

* Sat Aug 05 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-2mdv2007.0
- Rebuilt

* Tue Jul 11 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-1mdv2007.0
- New release 0.1.2

* Fri Jun 30 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.1-1mdv2007.0
- New release 0.1.1

* Mon Jun 26 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-1mdv2007.0
- new release

* Sun Jun 18 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc2.2mdv2007.0
- fix download url and Mesa dependency

* Mon May 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc2.1mdk
- new release

* Sat Feb 25 2006 Angelo Naselli <anaselli@mandriva.org> 0.1.0-0.rc1.4mdk
- fix Bug# 17555: if you have problems and you have Athlon CPU please follow
  bug# 18242

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc1.3mdk
- backport from svn of admin to allow recompiling under kde 3.5
  that should fix bug 20485

* Thu Dec 15 2005 Till Kamppeter <till@mandriva.com> 1:0.1.0-0.rc1.2mdk
- Printing out of the print wizard required unreasonably much memory,
  so that it took either more than half an hour per picture or the
  CUPS filtering process crashed. Fixed with patch from
  http://mail.kde.org/pipermail/digikam-devel/2005-December/002495.html
  (patch 0).
- Fixed compilation with QT 3.3.5 (patch 1, Laurent).

* Sun Oct 02 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc1.1mdk
- new release

* Sat Sep 24 2005 Götz Waschk <waschk@mandriva.org> 1:0.1.0-0.beta2.11mdk
- fix deps

* Sun Sep 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.10mdk
- avoid it for backport

* Sun Sep 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.9mdk
- better implementation to fix mdk #16504 (removed awful script file)

* Tue Aug 30 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.8mdk
- really fix mdk #16504 (added my own pacth #2 and a a script file)

* Wed Aug 24 2005 Angelo Naselli <anaselli@mandriva.org> 0.1.0-0.beta2. 7
- Added patch2: fix mdk #16504 (k3b --nofork)

* Tue Aug 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.1.0-0.beta2. 6
- Add patch1: fix mdk #17556 (patch from svn last changes)

* Thu Aug 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.5mdk
- build po files missed fix bug #17436

* Mon Jul 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.4mdk
- aligned rawconverter from svn to fix Mandriva bug #15286

* Wed Mar 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-0.beta2.3mdk
- fix build on lib64 platforms

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta2.2mdk
- DistroSpecificReleaseTag support

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta2.1mdk
- beta2

* Sun Dec 26 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-0.beta1.5mdk
- add BuildRequires: libgphoto-devel imlib2-devel libMesaGLU-devel libxml2-utils

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-0.beta1.4mdk
- fix buildrequires

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.3mdk
- Rebuild with libkexif

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.2mdk
- Fix spec file

* Sun Oct 17 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta1.1mdk
- new version

* Tue Sep 21 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Thu Sep 09 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed description

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Sun Jun 13 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version

* Tue May 11 2004 Angelo Naselli <random_lx@yahoo.com> 20040509-1mdk
- built mdk version

